<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'btravel',

    /*
     * Package.
     */
    'package'   => 'country',

    /*
     * Modules.
     */
    'modules'   => ['country'],

    
    'country'       => [
        'model' => [
            'model'                 => \Btravel\Country\Models\Country::class,
            'table'                 => 'countries',
            'presenter'             => \Btravel\Country\Repositories\Presenter\CountryPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'parent_id',  'name',  'latitude',  'longitude',  'slug',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'country/country',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Btravel',
            'package'   => 'Country',
            'module'    => 'Country',
        ],

    ],
];
