<?php

namespace Btravel\Country;

use User;

class Country
{
    /**
     * $country object.
     */
    protected $country;

    /**
     * Constructor.
     */
    public function __construct(\Btravel\Country\Interfaces\CountryRepositoryInterface $country)
    {
        $this->country = $country;
    }

    /**
     * Returns count of country.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.country.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->country->pushCriteria(new \Litepie\Btravel\Repositories\Criteria\CountryUserCriteria());
        }

        $country = $this->country->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('country::' . $view, compact('country'))->render();
    }
}
