<?php

namespace Btravel\Country\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Btravel\Country\Interfaces\CountryRepositoryInterface;

class CountryPublicController extends BaseController
{
    // use CountryWorkflow;

    /**
     * Constructor.
     *
     * @param type \Btravel\Country\Interfaces\CountryRepositoryInterface $country
     *
     * @return type
     */
    public function __construct(CountryRepositoryInterface $country)
    {
        $this->repository = $country;
        parent::__construct();
    }

    /**
     * Show country's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $countries = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('$country::country.names'))
            ->view('country::country.index')
            ->data(compact('countries'))
            ->output();
    }


    /**
     * Show country.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $country = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($$country->name . trans('country::country.name'))
            ->view('country::country.show')
            ->data(compact('country'))
            ->output();
    }

}
