<?php

namespace Btravel\Country\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CountryTransformer extends TransformerAbstract
{
    public function transform(\Btravel\Country\Models\Country $country)
    {
        return [
            'id'                => $country->getRouteKey(),
            'key'               => [
                'public'    => $country->getPublicKey(),
                'route'     => $country->getRouteKey(),
            ], 
            'id'                => $country->id,
            'parent_id'         => $country->parent_id,
            'name'              => $country->name,
            'latitude'          => $country->latitude,
            'longitude'         => $country->longitude,
            'slug'              => $country->slug,
            'created_at'        => $country->created_at,
            'updated_at'        => $country->updated_at,
            'deleted_at'        => $country->deleted_at,
            'url'               => [
                'public'    => trans_url('country/'.$country->getPublicKey()),
                'user'      => guard_url('country/country/'.$country->getRouteKey()),
            ], 
            'status'            => trans('app.'.$country->status),
            'created_at'        => format_date($country->created_at),
            'updated_at'        => format_date($country->updated_at),
        ];
    }
}